Bullet Collision Detection & Physics Library: btMultiBodyLinkFloatData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btMultiBodyLinkFloatData Struct Reference

`#include <btMultiBody.h>`

Collaboration diagram for btMultiBodyLinkFloatData:
[legend]

## Public Attributes
btQuaternionFloatData | m_zeroRotParentToThis
btVector3FloatData | m_parentComToThisPivotOffset
btVector3FloatData | m_thisPivotToThisComOffset
btVector3FloatData | m_jointAxisTop [6]
btVector3FloatData | m_jointAxisBottom [6]
btVector3FloatData | m_linkInertia
btVector3FloatData | m_absFrameTotVelocityTop
btVector3FloatData | m_absFrameTotVelocityBottom
btVector3FloatData | m_absFrameLocVelocityTop
btVector3FloatData | m_absFrameLocVelocityBottom
int | m_dofCount
float | m_linkMass
int | m_parentIndex
int | m_jointType
float | m_jointPos [7]
float | m_jointVel [6]
float | m_jointTorque [6]
int | m_posVarCount
float | m_jointDamping
float | m_jointFriction
float | m_jointLowerLimit
float | m_jointUpperLimit
float | m_jointMaxForce
float | m_jointMaxVelocity
char * | m_linkName
char * | m_jointName
btCollisionObjectFloatData * | m_linkCollider
char * | m_paddingPtr

## Detailed Description

Definition at line 884 of file btMultiBody.h.

## Member Data Documentation

## ◆ m_absFrameLocVelocityBottom

btVector3FloatData btMultiBodyLinkFloatData::m_absFrameLocVelocityBottom

Definition at line 895 of file btMultiBody.h.

## ◆ m_absFrameLocVelocityTop

btVector3FloatData btMultiBodyLinkFloatData::m_absFrameLocVelocityTop

Definition at line 894 of file btMultiBody.h.

## ◆ m_absFrameTotVelocityBottom

btVector3FloatData btMultiBodyLinkFloatData::m_absFrameTotVelocityBottom

Definition at line 893 of file btMultiBody.h.

## ◆ m_absFrameTotVelocityTop

btVector3FloatData btMultiBodyLinkFloatData::m_absFrameTotVelocityTop

Definition at line 892 of file btMultiBody.h.

## ◆ m_dofCount

int btMultiBodyLinkFloatData::m_dofCount

Definition at line 897 of file btMultiBody.h.

## ◆ m_jointAxisBottom

btVector3FloatData btMultiBodyLinkFloatData::m_jointAxisBottom[6]

Definition at line 890 of file btMultiBody.h.

## ◆ m_jointAxisTop

btVector3FloatData btMultiBodyLinkFloatData::m_jointAxisTop[6]

Definition at line 889 of file btMultiBody.h.

## ◆ m_jointDamping

float btMultiBodyLinkFloatData::m_jointDamping

Definition at line 906 of file btMultiBody.h.

## ◆ m_jointFriction

float btMultiBodyLinkFloatData::m_jointFriction

Definition at line 907 of file btMultiBody.h.

## ◆ m_jointLowerLimit

float btMultiBodyLinkFloatData::m_jointLowerLimit

Definition at line 908 of file btMultiBody.h.

## ◆ m_jointMaxForce

float btMultiBodyLinkFloatData::m_jointMaxForce

Definition at line 910 of file btMultiBody.h.

## ◆ m_jointMaxVelocity

float btMultiBodyLinkFloatData::m_jointMaxVelocity

Definition at line 911 of file btMultiBody.h.

## ◆ m_jointName

char* btMultiBodyLinkFloatData::m_jointName

Definition at line 914 of file btMultiBody.h.

## ◆ m_jointPos

float btMultiBodyLinkFloatData::m_jointPos[7]

Definition at line 902 of file btMultiBody.h.

## ◆ m_jointTorque

float btMultiBodyLinkFloatData::m_jointTorque[6]

Definition at line 904 of file btMultiBody.h.

## ◆ m_jointType

int btMultiBodyLinkFloatData::m_jointType

Definition at line 900 of file btMultiBody.h.

## ◆ m_jointUpperLimit

float btMultiBodyLinkFloatData::m_jointUpperLimit

Definition at line 909 of file btMultiBody.h.

## ◆ m_jointVel

float btMultiBodyLinkFloatData::m_jointVel[6]

Definition at line 903 of file btMultiBody.h.

## ◆ m_linkCollider

btCollisionObjectFloatData* btMultiBodyLinkFloatData::m_linkCollider

Definition at line 915 of file btMultiBody.h.

## ◆ m_linkInertia

btVector3FloatData btMultiBodyLinkFloatData::m_linkInertia

Definition at line 891 of file btMultiBody.h.

## ◆ m_linkMass

float btMultiBodyLinkFloatData::m_linkMass

Definition at line 898 of file btMultiBody.h.

## ◆ m_linkName

char* btMultiBodyLinkFloatData::m_linkName

Definition at line 913 of file btMultiBody.h.

## ◆ m_paddingPtr

char* btMultiBodyLinkFloatData::m_paddingPtr

Definition at line 916 of file btMultiBody.h.

## ◆ m_parentComToThisPivotOffset

btVector3FloatData btMultiBodyLinkFloatData::m_parentComToThisPivotOffset

Definition at line 887 of file btMultiBody.h.

## ◆ m_parentIndex

int btMultiBodyLinkFloatData::m_parentIndex

Definition at line 899 of file btMultiBody.h.

## ◆ m_posVarCount

int btMultiBodyLinkFloatData::m_posVarCount

Definition at line 905 of file btMultiBody.h.

## ◆ m_thisPivotToThisComOffset

btVector3FloatData btMultiBodyLinkFloatData::m_thisPivotToThisComOffset

Definition at line 888 of file btMultiBody.h.

## ◆ m_zeroRotParentToThis

btQuaternionFloatData btMultiBodyLinkFloatData::m_zeroRotParentToThis

Definition at line 886 of file btMultiBody.h.

The documentation for this struct was generated from the following file:

- btMultiBody.h